# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array1OfPcurveOrSurface Class Reference

`#include <StepGeom_Array1OfPcurveOrSurface.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array1OfPcurveOrSurface (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_Array1OfPcurveOrSurface (const StepGeom_PcurveOrSurface &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepGeom_PcurveOrSurface &V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array1OfPcurveOrSurface ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepGeom_Array1OfPcurveOrSurface & | Assign (const StepGeom_Array1OfPcurveOrSurface &Other)
const StepGeom_Array1OfPcurveOrSurface & | operator= (const StepGeom_Array1OfPcurveOrSurface &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepGeom_PcurveOrSurface &Value)
const StepGeom_PcurveOrSurface & | Value (const Standard_Integer Index) const
const StepGeom_PcurveOrSurface & | operator() (const Standard_Integer Index) const
StepGeom_PcurveOrSurface & | ChangeValue (const Standard_Integer Index)
StepGeom_PcurveOrSurface & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepGeom_Array1OfPcurveOrSurface (const StepGeom_Array1OfPcurveOrSurface &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array1OfPcurveOrSurface::StepGeom_Array1OfPcurveOrSurface | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_Array1OfPcurveOrSurface::StepGeom_Array1OfPcurveOrSurface | ( | const StepGeom_PcurveOrSurface & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepGeom_Array1OfPcurveOrSurface::~StepGeom_Array1OfPcurveOrSurface | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array1OfPcurveOrSurface::StepGeom_Array1OfPcurveOrSurface | ( | const StepGeom_Array1OfPcurveOrSurface & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepGeom_Array1OfPcurveOrSurface& StepGeom_Array1OfPcurveOrSurface::Assign | ( | const StepGeom_Array1OfPcurveOrSurface & | Other | ) |

StepGeom_PcurveOrSurface& StepGeom_Array1OfPcurveOrSurface::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepGeom_Array1OfPcurveOrSurface::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array1OfPcurveOrSurface::Init | ( | const StepGeom_PcurveOrSurface & | V | ) |

Standard_Boolean StepGeom_Array1OfPcurveOrSurface::IsAllocated | ( |  | ) | const

Standard_Integer StepGeom_Array1OfPcurveOrSurface::Length | ( |  | ) | const

Standard_Integer StepGeom_Array1OfPcurveOrSurface::Lower | ( |  | ) | const

void StepGeom_Array1OfPcurveOrSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array1OfPcurveOrSurface::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array1OfPcurveOrSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepGeom_PcurveOrSurface& StepGeom_Array1OfPcurveOrSurface::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepGeom_PcurveOrSurface& StepGeom_Array1OfPcurveOrSurface::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepGeom_Array1OfPcurveOrSurface& StepGeom_Array1OfPcurveOrSurface::operator= | ( | const StepGeom_Array1OfPcurveOrSurface & | Other | ) | `[inline]`

void StepGeom_Array1OfPcurveOrSurface::SetValue | ( | const Standard_Integer | Index,
|  | const StepGeom_PcurveOrSurface & | Value
| ) |

Standard_Integer StepGeom_Array1OfPcurveOrSurface::Upper | ( |  | ) | const

const StepGeom_PcurveOrSurface& StepGeom_Array1OfPcurveOrSurface::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepGeom_Array1OfPcurveOrSurface::isAllocated`[private]`

Standard_Integer StepGeom_Array1OfPcurveOrSurface::myLowerBound`[private]`

Standard_Address StepGeom_Array1OfPcurveOrSurface::myStart`[private]`

Standard_Integer StepGeom_Array1OfPcurveOrSurface::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array1OfPcurveOrSurface.hxx